<!-- Dialog Window -->
<html>

<head>
<title>{%const:title%} - {%title%}{%const:long%}</title>
<link rel="stylesheet" href="gui/style.css" type="text/css">
<script language="javascript">
<!--
function OnLoad() {
  for ( elem in window.dialogArguments )
  {
    switch( elem )
    {
    case "LinkUrl":
      document.Form.LinkUrl.value=window.dialogArguments["LinkUrl"];
      break;
    case "LinkTarget":
      document.Form.LinkTarget.value=window.dialogArguments["LinkTarget"];
      break;
    }
  }
}
// -->
</script>
<script language="javascript">
<!--
function OnOk() {
  var arr = {};
  //if (document.Form.LinkUrl.value ==''){
  //  alert('You did not select a link. Existing link will be retained.');
  //}
  arr["LinkUrl"] =  document.Form.LinkUrl.value;
  if (document.Form.LinkTarget.selectedIndex!=-1)
    arr["LinkTarget"] = document.Form.LinkTarget[document.Form.LinkTarget.selectedIndex].value;
  else
    arr["LinkTarget"] = "";
  window.returnValue = arr;
  window.close();
}
// -->
</script>
</head>

<body bgcolor="#E8E8E8" OnLoad="OnLoad();">
<form name="Form">
<table width="100%" height="100%" cellpadding="3" cellspacing="3" border="0">
  <tr>
    <td colspan="3" width="100%">
    <iframe frameborder="1" name="iframe" width="100%" height="100%" src="{%str:frame%}" style="z-index:1;" scrolling="yes"></iframe>
    </td>
  </tr>
  <tr>
    <td height="25" width="25%" align="right" nowrap>
     {%langstr:target%}:
      <select name="LinkTarget">
      <option value="_self">_self</option>
      <option value="_top">_top</option>
      <option value="_blank">_blank</option>
      </select>
    </td>
    <td height="25" width="75%" align="right">URL: <input name="LinkUrl" type="text" style="width: 80%"></td>
  </tr>
  <tr>
    <td colspan="3" height="30" width="100%" align="right">
    <input type="button" name="Ok" class="formButton" tabindex="1" value="&nbsp;&nbsp;&nbsp;{%langstr:ok%}&nbsp;&nbsp;&nbsp;" OnClick="OnOk();">
    <input type="button" name="Cancel" class="formButton" value="{%langstr:cancel%}" OnClick="window.close();">
    </td>
  </tr>
</table>
</form>
</body>

</html>
